# Uses of Interface
org.eclipse.jface.text.source.IAnnotationModelListener

Packages that use IAnnotationModelListener
Package
Description
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.

## Uses of IAnnotationModelListener in org.eclipse.jface.text.source

Classes in org.eclipse.jface.text.source that implement IAnnotationModelListener
Modifier and Type
Class
Description
`class`
`AnnotationPainter`
Paints decorations for annotations provided by an annotation model and/or highlights them in the associated source viewer.
Fields in org.eclipse.jface.text.source with type parameters of type IAnnotationModelListener
Modifier and Type
Field
Description
`protected ArrayList<IAnnotationModelListener>`
AnnotationModel.`fAnnotationModelListeners`
The list of annotation model listeners
Methods in org.eclipse.jface.text.source with parameters of type IAnnotationModelListener
Modifier and Type
Method
Description
`void`
AnnotationModel.`addAnnotationModelListener(IAnnotationModelListener listener)`
`void`
IAnnotationModel.`addAnnotationModelListener(IAnnotationModelListener listener)`
Registers the annotation model listener with this annotation model.
`void`
AnnotationModel.`removeAnnotationModelListener(IAnnotationModelListener listener)`
`void`
IAnnotationModel.`removeAnnotationModelListener(IAnnotationModelListener listener)`
Removes the listener from the model's list of annotation model listeners.